import useAntdToken, { getComputedToken as getComputedToken$1, ignore as ignore$1, unitless as unitless$1 } from "antdv-next/dist/theme/useToken";
//#region components/theme/useToken.ts
var unitless = unitless$1;
var ignore = ignore$1;
var getComputedToken = getComputedToken$1;
function useInternalToken() {
	const [theme, realToken, hashId, token, cssVar] = useAntdToken();
	return [
		theme,
		realToken,
		hashId,
		token,
		cssVar
	];
}
function useToken() {
	const [theme, _realToken, hashId, token] = useInternalToken();
	return {
		theme,
		token,
		hashId
	};
}
//#endregion
export { useToken as default, getComputedToken, ignore, unitless, useInternalToken };
